import Debug from 'debug'
import { ErrorDescEnum, HttpError } from '../classes/HttpError'
import { PrismaClient, InvoiceItem } from '@prisma/client'

console.log = Debug('invoiceIssuer:func/issueInvoice.ts')

export default async (prisma: PrismaClient, payerId: number, period: Date[], items: InvoiceItem[]) => {
	// 验证付款人是否存在
	const payer = await prisma.payer.findUnique({
		where: {
			payer_id: payerId
		}
	})
	if (!payer) throw new HttpError(ErrorDescEnum.related_item_not_found, 400, ['payer_id'])

	// 创建新收据
}